VULKAN_HPP_NAMESPACE::ImageCopy Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ImageCopy:
[legend]

## Public Member Functions

| ImageCopy (ImageSubresourceLayers srcSubresource_=ImageSubresourceLayers(), Offset3D srcOffset_=Offset3D(), ImageSubresourceLayers dstSubresource_=ImageSubresourceLayers(), Offset3D dstOffset_=Offset3D(), Extent3D extent_=Extent3D())
| ImageCopy (VkImageCopy const &rhs)
ImageCopy & | operator= (VkImageCopy const &rhs)
ImageCopy & | setSrcSubresource (ImageSubresourceLayers srcSubresource_)
ImageCopy & | setSrcOffset (Offset3D srcOffset_)
ImageCopy & | setDstSubresource (ImageSubresourceLayers dstSubresource_)
ImageCopy & | setDstOffset (Offset3D dstOffset_)
ImageCopy & | setExtent (Extent3D extent_)
| operator VkImageCopy const & () const
| operator VkImageCopy & ()
bool | operator== (ImageCopy const &rhs) const
bool | operator!= (ImageCopy const &rhs) const

## Data Fields

ImageSubresourceLayers | srcSubresource
Offset3D | srcOffset
ImageSubresourceLayers | dstSubresource
Offset3D | dstOffset
Extent3D | extent

## Detailed Description

Definition at line 25215 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ImageCopy() [1/2]

VULKAN_HPP_NAMESPACE::ImageCopy::ImageCopy | ( | ImageSubresourceLayers | srcSubresource_ = `ImageSubresourceLayers()`,
|  | Offset3D | srcOffset_ = `Offset3D()`,
|  | ImageSubresourceLayers | dstSubresource_ = `ImageSubresourceLayers()`,
|  | Offset3D | dstOffset_ = `Offset3D()`,
|  | Extent3D | extent_ = `Extent3D()`
| ) |  |

inline

Definition at line 25217 of file vulkan.hpp.

: srcSubresource( srcSubresource_ )
, srcOffset( srcOffset_ )
, dstSubresource( dstSubresource_ )
, dstOffset( dstOffset_ )
, extent( extent_ )
{
}

## ImageCopy() [2/2]

VULKAN_HPP_NAMESPACE::ImageCopy::ImageCopy | ( | VkImageCopy const & | rhs | ) |

inline

Definition at line 25230 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageCopy ) );
}

References memcpy.

## Member Function Documentation

## operator VkImageCopy &()

VULKAN_HPP_NAMESPACE::ImageCopy::operator VkImageCopy & | ( |  | ) |

inline

Definition at line 25275 of file vulkan.hpp.

{
return *reinterpret_cast<VkImageCopy*>(this);
}

## operator VkImageCopy const &()

VULKAN_HPP_NAMESPACE::ImageCopy::operator VkImageCopy const & | ( |  | ) | const

inline

Definition at line 25270 of file vulkan.hpp.

{
return *reinterpret_cast<const VkImageCopy*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ImageCopy::operator!= | ( | ImageCopy const & | rhs | ) | const

inline

Definition at line 25289 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ImageCopy& VULKAN_HPP_NAMESPACE::ImageCopy::operator= | ( | VkImageCopy const & | rhs | ) |

inline

Definition at line 25235 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageCopy ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ImageCopy::operator== | ( | ImageCopy const & | rhs | ) | const

inline

Definition at line 25280 of file vulkan.hpp.

{
return ( srcSubresource == rhs.srcSubresource )
&& ( srcOffset == rhs.srcOffset )
&& ( dstSubresource == rhs.dstSubresource )
&& ( dstOffset == rhs.dstOffset )
&& ( extent == rhs.extent );
}

References dstOffset, dstSubresource, extent, srcOffset, and srcSubresource.

Referenced by operator!=().

## setDstOffset()

ImageCopy& VULKAN_HPP_NAMESPACE::ImageCopy::setDstOffset | ( | Offset3D | dstOffset_ | ) |

inline

Definition at line 25258 of file vulkan.hpp.

{
dstOffset = dstOffset_;
return *this;
}

References dstOffset.

## setDstSubresource()

ImageCopy& VULKAN_HPP_NAMESPACE::ImageCopy::setDstSubresource | ( | ImageSubresourceLayers | dstSubresource_ | ) |

inline

Definition at line 25252 of file vulkan.hpp.

{
dstSubresource = dstSubresource_;
return *this;
}

References dstSubresource.

## setExtent()

ImageCopy& VULKAN_HPP_NAMESPACE::ImageCopy::setExtent | ( | Extent3D | extent_ | ) |

inline

Definition at line 25264 of file vulkan.hpp.

{
extent = extent_;
return *this;
}

References extent.

## setSrcOffset()

ImageCopy& VULKAN_HPP_NAMESPACE::ImageCopy::setSrcOffset | ( | Offset3D | srcOffset_ | ) |

inline

Definition at line 25246 of file vulkan.hpp.

{
srcOffset = srcOffset_;
return *this;
}

References srcOffset.

## setSrcSubresource()

ImageCopy& VULKAN_HPP_NAMESPACE::ImageCopy::setSrcSubresource | ( | ImageSubresourceLayers | srcSubresource_ | ) |

inline

Definition at line 25240 of file vulkan.hpp.

{
srcSubresource = srcSubresource_;
return *this;
}

References srcSubresource.

## Field Documentation

## dstOffset

Offset3D VULKAN_HPP_NAMESPACE::ImageCopy::dstOffset

Definition at line 25297 of file vulkan.hpp.

Referenced by operator==(), and setDstOffset().

## dstSubresource

ImageSubresourceLayers VULKAN_HPP_NAMESPACE::ImageCopy::dstSubresource

Definition at line 25296 of file vulkan.hpp.

Referenced by operator==(), and setDstSubresource().

## extent

Extent3D VULKAN_HPP_NAMESPACE::ImageCopy::extent

Definition at line 25298 of file vulkan.hpp.

Referenced by operator==(), and setExtent().

## srcOffset

Offset3D VULKAN_HPP_NAMESPACE::ImageCopy::srcOffset

Definition at line 25295 of file vulkan.hpp.

Referenced by operator==(), and setSrcOffset().

## srcSubresource

ImageSubresourceLayers VULKAN_HPP_NAMESPACE::ImageCopy::srcSubresource

Definition at line 25294 of file vulkan.hpp.

Referenced by operator==(), and setSrcSubresource().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ImageCopy::dstSubresource
ImageSubresourceLayers dstSubresource
Definition: vulkan.hpp:25296
VULKAN_HPP_NAMESPACE::ImageCopy::dstOffset
Offset3D dstOffset
Definition: vulkan.hpp:25297
VULKAN_HPP_NAMESPACE::ImageCopy::extent
Extent3D extent
Definition: vulkan.hpp:25298
VULKAN_HPP_NAMESPACE::ImageCopy::srcSubresource
ImageSubresourceLayers srcSubresource
Definition: vulkan.hpp:25294
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ImageCopy::operator==
bool operator==(ImageCopy const &rhs) const
Definition: vulkan.hpp:25280
VULKAN_HPP_NAMESPACE::ImageCopy::ImageCopy
ImageCopy(ImageSubresourceLayers srcSubresource_=ImageSubresourceLayers(), Offset3D srcOffset_=Offset3D(), ImageSubresourceLayers dstSubresource_=ImageSubresourceLayers(), Offset3D dstOffset_=Offset3D(), Extent3D extent_=Extent3D())
Definition: vulkan.hpp:25217
VkImageCopy
Definition: vulkan_core.h:2716
VULKAN_HPP_NAMESPACE::ImageCopy::srcOffset
Offset3D srcOffset
Definition: vulkan.hpp:25295